Build #4 for happindicator-0.0.4

[all reports]

Package happindicator-0.0.4
Install DependencyFailed glib-0.12.5.4
Docs NotTried
Tests NotTried
Time submitted 2015-09-26 15:22:31.331326 UTC
Compiler ghc-7.10.2
OS linux
Arch x86_64
Dependencies mtl-2.2.1, gtk-0.12.5.7, glib-0.12.5.4, containers-0.5.6.2, bytestring-0.10.6.0, base-4.8.1.0, array-0.5.1.0
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring mtl-2.2.1...
Building mtl-2.2.1...
Preprocessing library mtl-2.2.1...
[ 1 of 22] Compiling Control.Monad.Writer.Class ( Control/Monad/Writer/Class.hs, dist/build/Control/Monad/Writer/Class.o )
[ 2 of 22] Compiling Control.Monad.State.Class ( Control/Monad/State/Class.hs, dist/build/Control/Monad/State/Class.o )
[ 3 of 22] Compiling Control.Monad.Reader.Class ( Control/Monad/Reader/Class.hs, dist/build/Control/Monad/Reader/Class.o )
[ 4 of 22] Compiling Control.Monad.RWS.Class ( Control/Monad/RWS/Class.hs, dist/build/Control/Monad/RWS/Class.o )
[ 5 of 22] Compiling Control.Monad.Identity ( Control/Monad/Identity.hs, dist/build/Control/Monad/Identity.o )
[ 6 of 22] Compiling Control.Monad.Error.Class ( Control/Monad/Error/Class.hs, dist/build/Control/Monad/Error/Class.o )
[ 7 of 22] Compiling Control.Monad.Cont.Class ( Control/Monad/Cont/Class.hs, dist/build/Control/Monad/Cont/Class.o )
[ 8 of 22] Compiling Control.Monad.Trans ( Control/Monad/Trans.hs, dist/build/Control/Monad/Trans.o )
[ 9 of 22] Compiling Control.Monad.Error ( Control/Monad/Error.hs, dist/build/Control/Monad/Error.o )
[10 of 22] Compiling Control.Monad.Except ( Control/Monad/Except.hs, dist/build/Control/Monad/Except.o )
[11 of 22] Compiling Control.Monad.List ( Control/Monad/List.hs, dist/build/Control/Monad/List.o )
[12 of 22] Compiling Control.Monad.RWS.Lazy ( Control/Monad/RWS/Lazy.hs, dist/build/Control/Monad/RWS/Lazy.o )
[13 of 22] Compiling Control.Monad.RWS ( Control/Monad/RWS.hs, dist/build/Control/Monad/RWS.o )
[14 of 22] Compiling Control.Monad.Reader ( Control/Monad/Reader.hs, dist/build/Control/Monad/Reader.o )
[15 of 22] Compiling Control.Monad.RWS.Strict ( Control/Monad/RWS/Strict.hs, dist/build/Control/Monad/RWS/Strict.o )
[16 of 22] Compiling Control.Monad.State.Lazy ( Control/Monad/State/Lazy.hs, dist/build/Control/Monad/State/Lazy.o )
[17 of 22] Compiling Control.Monad.State ( Control/Monad/State.hs, dist/build/Control/Monad/State.o )
[18 of 22] Compiling Control.Monad.State.Strict ( Control/Monad/State/Strict.hs, dist/build/Control/Monad/State/Strict.o )
[19 of 22] Compiling Control.Monad.Writer.Lazy ( Control/Monad/Writer/Lazy.hs, dist/build/Control/Monad/Writer/Lazy.o )
[20 of 22] Compiling Control.Monad.Writer ( Control/Monad/Writer.hs, dist/build/Control/Monad/Writer.o )
[21 of 22] Compiling Control.Monad.Writer.Strict ( Control/Monad/Writer/Strict.hs, dist/build/Control/Monad/Writer/Strict.o )
[22 of 22] Compiling Control.Monad.Cont ( Control/Monad/Cont.hs, dist/build/Control/Monad/Cont.o )
In-place registering mtl-2.2.1...
Running Haddock for mtl-2.2.1...
cabal: Haddock's internal GHC version must match the configured GHC version.
The GHC version is 7.10.2 but haddock is using GHC version 7.8.3
Creating package registration file: /tmp/pkgConf-mtl-2.2336465782861021530.1
Installing library in
/home/builder/hackage-server/build-cache/tmp-install/lib/x86_64-linux-ghc-7.10.2/mtl-2.2.1-KMpng31YRYc5JfMWFZ3FCU
Registering mtl-2.2.1...
Installed mtl-2.2.1
Configuring utf8-string-0.3.8...
Building utf8-string-0.3.8...
Preprocessing library utf8-string-0.3.8...
[1 of 7] Compiling Codec.Binary.UTF8.String ( Codec/Binary/UTF8/String.hs, dist/build/Codec/Binary/UTF8/String.o )

Codec/Binary/UTF8/String.hs:157:1: Warning: Tab character

Codec/Binary/UTF8/String.hs:164:1: Warning: Tab character
[2 of 7] Compiling Codec.Binary.UTF8.Generic ( Codec/Binary/UTF8/Generic.hs, dist/build/Codec/Binary/UTF8/Generic.o )
[3 of 7] Compiling Data.String.UTF8 ( Data/String/UTF8.hs, dist/build/Data/String/UTF8.o )
[4 of 7] Compiling System.IO.UTF8   ( System/IO/UTF8.hs, dist/build/System/IO/UTF8.o )
[5 of 7] Compiling System.Environment.UTF8 ( System/Environment/UTF8.hs, dist/build/System/Environment/UTF8.o )
[6 of 7] Compiling Data.ByteString.UTF8 ( Data/ByteString/UTF8.hs, dist/build/Data/ByteString/UTF8.o )
[7 of 7] Compiling Data.ByteString.Lazy.UTF8 ( Data/ByteString/Lazy/UTF8.hs, dist/build/Data/ByteString/Lazy/UTF8.o )
In-place registering utf8-string-0.3.8...
Running Haddock for utf8-string-0.3.8...
cabal: Haddock's internal GHC version must match the configured GHC version.
The GHC version is 7.10.2 but haddock is using GHC version 7.8.3
Creating package registration file:
/tmp/pkgConf-utf8-string-0.31600515282040332871.8
Installing library in
/home/builder/hackage-server/build-cache/tmp-install/lib/x86_64-linux-ghc-7.10.2/utf8-string-0.3.8-Chosyuam8932wlX8suWJsI
Registering utf8-string-0.3.8...
Installed utf8-string-0.3.8
[1 of 2] Compiling SetupWrapper     ( /tmp/cabal-tmp-20635/cairo-0.12.5.3/SetupWrapper.hs, /tmp/cabal-tmp-20635/cairo-0.12.5.3/dist/setup/SetupWrapper.o )

/tmp/cabal-tmp-20635/cairo-0.12.5.3/SetupWrapper.hs:91:17:
    Ambiguous occurrence ‘die’
    It could refer to either ‘Distribution.Simple.Utils.die’,
                             imported from ‘Distribution.Simple.Utils’ at /tmp/cabal-tmp-20635/cairo-0.12.5.3/SetupWrapper.hs:8:1-32
                          or ‘System.Exit.die’,
                             imported from ‘System.Exit’ at /tmp/cabal-tmp-20635/cairo-0.12.5.3/SetupWrapper.hs:21:1-18
Failed to install cairo-0.12.5.3
[1 of 2] Compiling SetupWrapper     ( /tmp/cabal-tmp-20635/glib-0.12.5.4/SetupWrapper.hs, /tmp/cabal-tmp-20635/glib-0.12.5.4/dist/setup/SetupWrapper.o )

/tmp/cabal-tmp-20635/glib-0.12.5.4/SetupWrapper.hs:91:17:
    Ambiguous occurrence ‘die’
    It could refer to either ‘Distribution.Simple.Utils.die’,
                             imported from ‘Distribution.Simple.Utils’ at /tmp/cabal-tmp-20635/glib-0.12.5.4/SetupWrapper.hs:8:1-32
                          or ‘System.Exit.die’,
                             imported from ‘System.Exit’ at /tmp/cabal-tmp-20635/glib-0.12.5.4/SetupWrapper.hs:21:1-18
Failed to install glib-0.12.5.4
cabal: Error: some packages failed to install:
cairo-0.12.5.3 failed during the configure step. The exception was:
ExitFailure 1
gio-0.12.5.3 depends on glib-0.12.5.4 which failed to install.
glib-0.12.5.4 failed during the configure step. The exception was:
ExitFailure 1
gtk-0.12.5.7 depends on glib-0.12.5.4 which failed to install.
happindicator-0.0.4 depends on glib-0.12.5.4 which failed to install.
pango-0.12.5.3 depends on glib-0.12.5.4 which failed to install.